package intrinsic.mx.controls.fileSystemClasses;

public class FileSystemTreeDataDescriptor extends intrinsic.mx.controls.treeClasses.DefaultDataDescriptor {

	/** Accessors */

	/** Variables */
	public Object parentToChildrenMap;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FileSystemTreeDataDescriptor() {
}


/** Static Methods */

/** Methods */
public native void reset();
public native boolean isBranch(Object arg0);
public native boolean isBranch(Object arg0, Object arg1);
public native void setChildren(Object arg0, intrinsic.mx.collections.ArrayCollection arg1);
public native boolean hasChildren(Object arg0);
public native boolean hasChildren(Object arg0, Object arg1);
public native intrinsic.mx.collections.ICollectionView getChildren(Object arg0);
public native intrinsic.mx.collections.ICollectionView getChildren(Object arg0, Object arg1);

}
